import * as React from 'react';
export interface InjectedProps {
    getRef: React.Ref<string> | React.LegacyRef<string>;
}
export interface InteractProps {
    draggable?: Interact.DraggableOptions | boolean;
    resizable?: Interact.ResizableOptions | boolean;
    gesturable?: Interact.ResizableOptions | boolean;
    dropzone?: Interact.DropzoneOptions | boolean;
    onDragStart?: Interact.ListenersArg;
    onDragMove?: Interact.ListenersArg;
    onDragEnd?: Interact.ListenersArg;
    onResizeStart?: Interact.ListenersArg;
    onResizeMove?: Interact.ListenersArg;
    onResizeInertiaStart?: Interact.ListenersArg;
    onResizeEnd?: Interact.ListenersArg;
    onGestureStart?: Interact.ListenersArg;
    onGestureMove?: Interact.ListenersArg;
    onGestureEnd?: Interact.ListenersArg;
    onDropActivate?: Interact.ListenersArg;
    onDropdEactivate?: Interact.ListenersArg;
    onDragEnter?: Interact.ListenersArg;
    onDragLeave?: Interact.ListenersArg;
    onDropMove?: Interact.ListenersArg;
    onDrop?: Interact.ListenersArg;
    onDown?: Interact.ListenersArg;
    onMove?: Interact.ListenersArg;
    onUp?: Interact.ListenersArg;
    onCancel?: Interact.ListenersArg;
    onTap?: Interact.ListenersArg;
    onDoubleTap?: Interact.ListenersArg;
    onHold?: Interact.ListenersArg;
}
declare const reactable: <BaseProps>(BaseComponent: React.ComponentType<BaseProps>) => React.FC<Omit<BaseProps, "getRef"> & InteractProps>;
export default reactable;
